Name:           gqrx
Version:        2.2.0
Release:        12%{?dist}
Summary:        Software defined radio receiver powered by GNU Radio and Qt

License:        GPLv3+ and GPLv2+ and BSD
URL:            http://gqrx.dk/
Source0:        %{name}-%{version}-src.tar.gz

Patch0:         gqrx-package.diff

BuildRequires:  gnuradio-devel qt-devel pulseaudio-libs-devel git
BuildRequires:  gr-osmosdr-devel boost-devel desktop-file-utils

%description
Gqrx is a software defined radio receiver powered by the GNU Radio SDR
framework and the Qt graphical toolkit.


%prep
%setup -q
%patch0 -p1 -b .package

%build
%qmake_qt4 PREFIX=%{_prefix}
make INSTALL_ROOT=%{buildroot} %{?_smp_mflags}


%install
%make_install INSTALL_ROOT=%{buildroot}
desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications gqrx.desktop


%files
%{_bindir}/*
%{_datadir}/applications/gqrx.desktop
%{_datadir}/gqrx/scope.svg
%doc %{_pkgdocdir}



%changelog
* Tue Sep  2 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 2.2.0-12
- Rebuilt for new gnuradio

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 17 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 2.2.0-10
- Rebuilt for new gnuradio

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Petr Machata <pmachata@redhat.com> - 2.2.0-8
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 2.2.0-7
- rebuild for boost 1.55.0

* Thu Mar 13 2014 Josh Bressers <bressers@redhat.com> 2.2.0-6
- Rebuild to fix broken rawhide dependency

* Sat Mar 8 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> 2.2.0-5
- Rebuild against fixed qt to fix -debuginfo (#1074041)

* Thu Feb 20 2014 Josh Bressers <bressers@redhat.com> 2.2.0-4
- Fix the License field

* Sat Feb 08 2014 Josh Bressers <bressers@redhat.com> 2.2.0-3
- Fix some issues noted in bug 1006104

* Fri Feb 07 2014 Josh Bressers <bressers@redhat.com> 2.2.0-2
- Package version 2.2.0

* Mon Sep 9 2013 Josh Bressers <bressers@redhat.com> 2.1_git_298_g0e78-1
- Initial RPM
